import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.text.*;

public class EuroConverter extends JFrame
{

private JTextField inputField;
private JTextField outputField;
private JLabel errorMessage;
private Container cp;

public EuroConverter()
{

super("EuroConverter");
cp=getContentPane();
makeConverterGUI();

}

public static void main(String[] args)
{

JFrame window=new EuroConverter();
window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
window.setSize(new Dimension(500, 200));
window.setVisible(true);
window.setResizable(false);

}

public void makeConverterGUI()
{

JPanel inoutPanel=new JPanel(new GridLayout(2,2));//Create a new JPanel with the specified layout manager(here GridLayout)

inoutPanel.setPreferredSize(new Dimension(0, 60)); //Method inherited from JComponent
inoutPanel.setBorder(BorderFactory.createEtchedBorder()); //Method inherited from JComponent

//GUI elements for data input (add a JLabel and a JTextField for data input)


//1o sistatiko toy inoutPanel sti thesi 1.1

JLabel myFirstJLabel=new JLabel("input: ", JLabel.RIGHT);
inoutPanel.add(myFirstJLabel);


//2o sistatiko toy inoutPanel sti thesi 1.2
inputField=new JTextField("", 25); //Constructs a new TextField initialized with the specified text and columns
inputField.setHorizontalAlignment(JTextField.RIGHT); //Sets the horizontal alignment of the tect.
inoutPanel.add(inputField);

//GUI elements for output of results(add a JLabel and a JTextField for data output)
inoutPanel.add(new JLabel("Result: ", JLabel.RIGHT));
outputField=new JTextField("", 25);
outputField.setEditable(false); //This JTextField is not editable bu user

outputField.setHorizontalAlignment(JTextField.RIGHT); //Sets the horizontal alignment of the text/
inoutPanel.add(outputField);

//Addition of the panel to conent pane 
cp.add(inoutPanel, BorderLayout.NORTH);

//-----------------------------SECOND JPANEL------------------------------------------

JPanel errorPanel=new JPanel();

errorMessage=new JLabel("", JLabel.LEFT);
errorMessage.setForeground(Color.RED);      //Method inherited from JComponent
errorPanel.add(errorMessage);
cp.add(errorPanel, BorderLayout.WEST);


//---------------------------THIRD JPANEL--------------------------------------------

//Setting up panel for conversion buttons
JPanel conversionPanel=new JPanel();

//Setup of conversion buttons

JButton b=new JButton("Euro to Drachmas");
b.addActionListener(new conversionListener());
conversionPanel.add(b);

JButton b2=new JButton("Drachmas to Euro");
b2.addActionListener(new conversionListener());
conversionPanel.add(b2);

//Additon of panel to content pane
cp.add(conversionPanel, BorderLayout.SOUTH);


}


//Internal listener class for conversion buttons

class conversionListener implements ActionListener
{

 public void actionPerformed(ActionEvent e)
 {
     
     double numResult=0.0;
     String strResult="";
     
     NumberFormat nf=NumberFormat.getNumberInstance();
     nf.setMaximumFractionDigits(2);
     
     String operation=e.getActionCommand();
     
     try
     {
         
        errorMessage.setText("");
        if (operation.equals("Euro to Drachmas"))
           {
               numResult=340.75*Double.parseDouble(inputField.getText());
            }
            
            else
            {
               numResult=Double.parseDouble(inputField.getText())/340.75;
            }
            
            outputField.setText(nf.format(numResult));
        }
        
        catch (NumberFormatException ex)
        {
            errorMessage.setText("Please insert numeric data!");
        }
    }
}
       




   
}
